package com.ecep.contract.controller.customer.tasker;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.WebSocketClientTasker;
import com.ecep.contract.task.Tasker;
import com.ecep.contract.vo.CustomerVo;

import lombok.Setter;

/**
 * 客户评估表更新任务
 */
public class CustomerEvaluationFormUpdateTask extends Tasker<Object> implements WebSocketClientTasker {
    @Setter
    private CustomerVo customer;

    @Override
    public String getTaskName() {
        return "CustomerEvaluationFormUpdateTask";
    }

    @Override
    public void updateProgress(long current, long total) {
        super.updateProgress(current, total);
    }

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("客户评估表更新任务");
        return callRemoteTask(holder, getLocale(), customer.getId());
    }

}
